<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <ui:decorate template="/hl7Initiators/orderSenderTemplate.xhtml">
                <ui:param name="managedBean" value="#{labOrderSender}"/>
                <ui:param name="availableSuts" value="#{labOrderSender.getAvailableSuts()}"/>
                <ui:param name="displaySequenceDiagram" value="true"/><!-- messageStructureSelection -->
                <ui:define name="messageStructureSelection">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="structIn"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.MessageStructureToUse']}</ui:define>
                        <h:selectOneMenu value="#{labOrderSender.selectedMessageStructure}" id="structIn"
                                         styleClass="form-control">
                            <f:selectItems value="#{labOrderSender.getAvailableMessageStructures()}"/>
                            <a4j:ajax event="change"
                                      render="globalDiv"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </ui:define>
                <!-- orderSelectionForWorkOrder to be completed there--><!-- add a link to the lab order browser (battery-centric or specimen-centric depending of the selected message structure) --><!-- newObjectPart -->
                <ui:define name="newObjectPart"><!-- BATTERY CENTRIC -->
                    <s:div rendered="#{labOrderSender.selectedOrder != null and labOrderSender.selectedMessageStructure.equals(labOrderSender.batteryCentric)}"
                           id="batteryCentricDiv">
                        <s:div rendered="#{labOrderSender.editOrder}" id="editOrderDiv">
                            <gri:panel>
                                <f:facet name="header">
                                    <h:outputText value="#{messages['gazelle.ordermanager.CreateOrderbattery']}"/>
                                    <span style="width:10px"/>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                     actionListener="#{labOrderSender.fillOrderRandomly()}"
                                                     immediate="true"
                                                     render="editOrderDiv">
                                        <span class="gzl-icon-random"/>
                                    </a4j:commandLink>
                                </f:facet>
                                <f:subview id="fill_lab_of"
                                           rendered="#{labOrderSender.simulatedActor.keyword.equals('OF')}">
                                    <ui:include src="/lab/fillingLabOrder.xhtml">
                                        <ui:param name="order" value="#{labOrderSender.selectedOrder}"/>
                                        <ui:param name="displayExtraParamForOF" value="true"/>
                                        <ui:param name="isWorkOrder" value="#{labOrderSender.workOrder}"/>
                                        <ui:param name="valueResultStatus" value="false"/>
                                    </ui:include>
                                </f:subview>
                                <f:subview id="fill_lab_other"
                                           rendered="#{not labOrderSender.simulatedActor.keyword.equals('OF')}">
                                    <ui:include src="/lab/fillingLabOrder.xhtml">
                                        <ui:param name="order" value="#{labOrderSender.selectedOrder}"/>
                                        <ui:param name="displayExtraParamForOF" value="false"/>
                                        <ui:param name="isWorkOrder" value="false"/>
                                        <ui:param name="valueResultStatus" value="false"/>
                                    </ui:include>
                                </f:subview>
                                <!-- command button -->
                                <f:facet name="footer">
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                       actionListener="#{labOrderSender.fillOrderRandomly()}"
                                                       immediate="true"
                                                       styleClass="gzl-btn-blue"
                                                       render="editOrderDiv"/>
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.CreateASpecimenForOrder']}"
                                            actionListener="#{labOrderSender.createSpecimenForOrder()}"
                                            styleClass="gzl-btn-green"
                                            render="batteryCentricDiv"/>
                                </f:facet>
                            </gri:panel>
                        </s:div>
                        <s:div rendered="#{not labOrderSender.editOrder}" id="orderDetails"><!-- order details -->
                            <gri:panel>
                                <f:facet name="header">#{messages['gazelle.ordermanager.OrderDetails']}</f:facet>
                                <f:subview id="orc_centric_details">
                                    <ui:include src="/lab/labOrderDetails.xhtml">
                                        <ui:param name="selectedOrder" value="#{labOrderSender.selectedOrder}"/>
                                        <ui:param name="enableStatusEdit" value="false"/>
                                    </ui:include>
                                </f:subview>
                                <!-- defined specimens for the current order -->
                                <h2>#{messages['gazelle.ordermanager.RelatedSpecimens']}</h2>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.BelowIsTheListOfSpecimensForTheCurrentOrder']}"
                                        styleClass="help-block"
                                        rendered="#{not empty labOrderSender.selectedOrder.specimens}"/>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.NoSpecimenSpecifiedForTheCurrentOrderYet']}"
                                        styleClass="help-block"
                                        rendered="#{empty labOrderSender.selectedOrder.specimens}"/>
                               #{dataTableStateHolder.setDescendingOn('lastChanged')}
                                <rich:dataTable value="#{labOrderSender.selectedOrder.specimens}" var="currentSpecimen"
                                                rendered="#{not empty labOrderSender.selectedOrder.specimens}"
                                                id="spmlist2" rows="#{dataScrollerMemory.numberOfResultsPerPage}">
                                    <ui:include src="/lab/specimenColumns.xhtml">
                                        <ui:param name="specimen" value="#{currentSpecimen}"/>
                                    </ui:include>
                                    <g:column>
                                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                                        <a4j:commandLink
                                                title="#{messages['gazelle.ordermanager.RemoveThisSpecimenFromTheOrder']}"
                                                actionListener="#{labOrderSender.removeSpecimenFromOrder(currentSpecimen)}"
                                                render="orderDetails">
                                            <s:span styleClass="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="spmlist2"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                                <f:facet name="footer">
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.AddASpecimenToThisOrder']}"
                                            actionListener="#{labOrderSender.createSpecimenForOrder()}"
                                            rendered="#{not empty labOrderSender.selectedOrder.specimens}"
                                            styleClass="gzl-btn-green"
                                            immediate="true" render="orderDetails"/>
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.SendMessage']}"
                                                       actionListener="#{labOrderSender.sendMessage()}"
                                                       rendered="#{not empty labOrderSender.selectedOrder.specimens}"
                                                       styleClass="gzl-btn-blue"
                                                       immediate="true" render="globalDiv"/>
                                </f:facet>
                            </gri:panel>
                            <br/><!-- specimen creation -->
                            <s:div rendered="#{labOrderSender.editSpecimen}">
                                <gri:panel pid="specimenCreation">
                                    <f:facet name="header">
                                        <h:outputText
                                                value="#{messages['gazelle.ordermanager.CreateSpecimenForCurrentOrder']}"/>
                                        <span style="width:10px"/>
                                        <a4j:commandLink
                                                title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                                immediate="true"
                                                render="specimenCreation">
                                            <span class="gzl-icon-random"/>
                                        </a4j:commandLink>
                                    </f:facet><!-- button to fill randomly the specimen -->
                                    <f:subview id="spm_details">
                                        <ui:include src="/lab/fillingSpecimen.xhtml">
                                            <ui:param name="specimen" value="#{labOrderSender.selectedSpecimen}"/>
                                            <ui:param name="managedBean" value="#{labOrderSender}"/>
                                            <ui:param name="askForNumberOfContainers" value="true"/>
                                        </ui:include>
                                    </f:subview>
                                    <f:facet name="footer">
                                        <a4j:commandButton
                                                value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                                immediate="true"
                                                styleClass="gzl-btn-blue"
                                                render="specimenCreation"/>
                                        <a4j:commandButton value="#{messages['gazelle.ordermanager.AddToCurrentOrder']}"
                                                           actionListener="#{labOrderSender.addSpecimenToOrder()}"
                                                           styleClass="gzl-btn-green"
                                                           render="orderDetails"/>
                                    </f:facet>
                                </gri:panel>
                            </s:div>
                        </s:div>
                    </s:div><!-- SPECIMEN CENTRIC -->
                    <s:div rendered="#{labOrderSender.selectedSpecimen != null and labOrderSender.selectedMessageStructure.equals(labOrderSender.specimenCentric)}"
                           id="specimenCentricDiv">
                        <s:div id="editSpecimenDiv" rendered="#{labOrderSender.editSpecimen}">
                            <gri:panel pid="editSpecimenPanel">
                                <f:facet name="header">
                                    <h:outputText value="#{messages['gazelle.ordermanager.CreateSpecimen']}"/>
                                    <span style="width:10px"/>
                                    <a4j:commandLink
                                            title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                            actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                            immediate="true"
                                            render="editSpecimenDiv">
                                        <span class="gzl-icon-random"/>
                                    </a4j:commandLink>
                                </f:facet><!-- button to fill randomly the specimen -->
                                <f:subview id="spm_centric_details">
                                    <ui:include src="/lab/fillingSpecimen.xhtml">
                                        <ui:param name="specimen" value="#{labOrderSender.selectedSpecimen}"/>
                                        <ui:param name="managedBean" value="#{labOrderSender}"/>
                                        <ui:param name="askForNumberOfContainers" value="true"/>
                                    </ui:include>
                                </f:subview>
                                <f:facet name="footer">
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                       actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                                       immediate="true" styleClass="gzl-btn-blue"
                                                       render="editSpecimenDiv"/>
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.CreateAnOrderForSpecimen']}"
                                            actionListener="#{labOrderSender.createOrderForSpecimen()}"
                                            render="specimenCentricDiv" styleClass="gzl-btn-green"/>
                                </f:facet>
                            </gri:panel>
                        </s:div>
                        <s:div id="specimenDetails" rendered="#{not labOrderSender.editSpecimen}">
                            <gri:panel>
                                <f:facet name="header">#{messages['gazelle.ordermanager.SpecimenDetails']}</f:facet>
                                <f:subview id="view_spm_details">
                                    <ui:include src="/lab/specimenDetails.xhtml">
                                        <ui:param name="specimen" value="#{labOrderSender.selectedSpecimen}"/>
                                    </ui:include>
                                </f:subview>
                                <!-- defined orders for the current specimen -->
                                <h2>#{messages['gazelle.ordermanager.RelatedOrders']}</h2>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.BelowIsTheListOfOrdersForTheCurrentSpecimen']}"
                                        rendered="#{not empty labOrderSender.selectedSpecimen.orders}"
                                        styleClass="help-block"/>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.NoOrderSpecifiedForTheCurrentSpecimenYet']}"
                                        rendered="#{empty labOrderSender.selectedSpecimen.orders}"
                                        styleClass="help-block"/>
                                #{dataTableStateHolder.setDescendingOn('lastChanged')}
                                <rich:dataTable value="#{labOrderSender.selectedSpecimen.orders}" var="currentOrder"
                                                rendered="#{not empty labOrderSender.selectedSpecimen.orders}"
                                                rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="orclist2">
                                    <ui:include src="/common/orderColumns.xhtml">
                                        <ui:param name="managedBean" value="#{labOrderSender}"/>
                                        <ui:param name="currentOrder" value="#{currentOrder}"/>
                                        <ui:param name="displayEncounterInfo" value="false"/>
                                        <ui:param name="enableStatusEdit" value="false"/>
                                    </ui:include>
                                    <g:column>
                                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                                        <a4j:commandLink
                                                title="#{messages['gazelle.ordermanager.RemoveThisOrderFromTheSpecimen']}"
                                                actionListener="#{labOrderSender.removeOrderFromSpecimen(currentOrder)}"
                                                render="specimenDetails">
                                            <s:span styleClass="gzl-icon-trash-o"/>
                                        </a4j:commandLink>
                                    </g:column>
                                    <f:facet name="footer">
                                        <ui:include src="/util/datatableFooter.xhtml">
                                            <ui:param name="dataScrollerId" value="ds"/>
                                            <ui:param name="dataTableId" value="orclist2"/>
                                        </ui:include>
                                    </f:facet>
                                </rich:dataTable>
                                <f:facet name="footer">
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.AddAnOrderForThisSpecimen']}"
                                            actionListener="#{labOrderSender.createOrderForSpecimen()}"
                                            styleClass="gzl-btn-green"
                                            render="specimenDetails"/>
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.SendMessage']}"
                                                       actionListener="#{labOrderSender.sendMessage()}"
                                                       rendered="#{not empty labOrderSender.selectedSpecimen.orders}"
                                                       immediate="true" render="globalDiv"
                                                       styleClass="gzl-btn-blue"/>
                                </f:facet>
                            </gri:panel><!-- order creation -->
                            <s:div rendered="#{labOrderSender.editOrder}">
                                <gri:panel pid="orderCreation">
                                    <f:facet name="header">
                                        <h:outputText
                                                value="#{messages['gazelle.ordermanager.CreateOrderForCurrentSpecimen']}"/>
                                        <span style="width:10px"/>
                                        <a4j:commandLink
                                                title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                actionListener="#{labOrderSender.fillOrderRandomly()}"
                                                immediate="true"
                                                render="orderCreation">
                                            <span class="gzl-icon-random"/>
                                        </a4j:commandLink>
                                    </f:facet><!-- fill randomly button -->
                                    <f:subview id="orc_details">
                                        <ui:include src="/lab/fillingLabOrder.xhtml">
                                            <ui:param name="order" value="#{labOrderSender.selectedOrder}"/>
                                            <ui:param name="displayExtraParamForOF" value="true"/>
                                            <ui:param name="isWorkOrder" value="#{labOrderSender.workOrder}"/>
                                            <ui:param name="valueResultStatus" value="false"/>
                                        </ui:include>
                                    </f:subview>
                                    <!-- command button -->
                                    <f:facet name="footer">
                                        <a4j:commandButton
                                                value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                actionListener="#{labOrderSender.fillOrderRandomly()}"
                                                immediate="true"
                                                styleClass="gzl-btn-blue"
                                                render="orderCreation"/>
                                        <a4j:commandButton
                                                value="#{messages['gazelle.ordermanager.AddToCurrentSpecimen']}"
                                                actionListener="#{labOrderSender.addOrderToSpecimen()}"
                                                styleClass="gzl-btn-blue"
                                                render="specimenDetails"/>
                                    </f:facet>
                                </gri:panel>
                            </s:div>
                        </s:div>
                    </s:div><!-- CONTAINER CENTRIC -->
                    <s:div rendered="#{labOrderSender.selectedSpecimen != null and labOrderSender.selectedMessageStructure.equals(labOrderSender.containerCentric)}"
                           id="containerCentricDiv">
                        <s:div id="editSpecimenContainerDiv" rendered="#{labOrderSender.editSpecimen}">
                            <gri:panel>
                                <f:facet name="header">
                                    <h:outputText value="#{messages['gazelle.ordermanager.CreateSpecimen']}"/>
                                    <span style="width:10px"/>
                                    <a4j:commandLink
                                            title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                            actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                            immediate="true"
                                            render="editSpecimenContainerDiv">
                                        <span class="gzl-icon-random"/>
                                    </a4j:commandLink>
                                </f:facet><!-- button to fill randomly the specimen -->
                                <f:subview id="sac_centric_spm">
                                    <ui:include src="/lab/fillingSpecimen.xhtml">
                                        <ui:param name="specimen" value="#{labOrderSender.selectedSpecimen}"/>
                                        <ui:param name="managedBean" value="#{labOrderSender}"/>
                                        <ui:param name="askForNumberOfContainers" value="false"/>
                                    </ui:include>
                                </f:subview>
                                <f:facet name="footer">
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                       actionListener="#{labOrderSender.fillSpecimenRandomly()}"
                                                       immediate="true"
                                                       styleClass="gzl-btn-blue"
                                                       render="editSpecimenContainerDiv"/>
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.CreateAContainerForSpecimen']}"
                                            actionListener="#{labOrderSender.createContainerForSpecimen()}"
                                            styleClass="gzl-btn-green"
                                            render="containerCentricDiv"/>
                                </f:facet>
                            </gri:panel>
                        </s:div>
                        <s:div id="specimenContainerDetails" rendered="#{not labOrderSender.editSpecimen}">
                            <gri:panel pid="sacDefPanel">
                                <f:facet name="header">#{messages['gazelle.ordermanager.SpecimenDetails']}</f:facet>
                                <f:subview id="sac_spm_view">
                                    <ui:include src="/lab/specimenDetails.xhtml">
                                        <ui:param name="specimen" value="#{labOrderSender.selectedSpecimen}"/>
                                    </ui:include>
                                </f:subview><!-- defined orders for the current specimen -->
                                <h2>#{messages['gazelle.ordermanager.RelatedContainers']}</h2>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.BelowIsTheListOfContainersForTheCurrentSpecimen']}"
                                        rendered="#{not empty labOrderSender.selectedSpecimen.containers}"
                                        styleClass="help-block"/>
                                <h:outputText
                                        value="#{messages['gazelle.ordermanager.NoOrderSpecifiedForTheCurrentSpecimenYet']}"
                                        rendered="#{empty labOrderSender.selectedSpecimen.containers}"
                                        styleClass="help-block"/>
                                <a4j:repeat id="containersList" value="#{labOrderSender.selectedSpecimen.containers}"
                                            var="currentContainer"
                                            rendered="#{not empty labOrderSender.selectedSpecimen.containers}">
                                    <s:div id="currentContainerDiv">
                                        <dl class="dl-horizontal">
                                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                                <ui:define name="label">
                                                    #{messages['gazelle.ordermanager.ContainerIdentifier']}
                                                </ui:define>
                                                <h:outputText value="#{currentContainer.containerIdentifier}"/>
                                                <gdk:spacer width="5px"/>
                                                <a4j:commandLink
                                                        title="#{messages['gazelle.ordermanager.RemoveThisContainerFromTheSpecimen']}"
                                                        actionListener="#{labOrderSender.removeContainerFromSpecimen(currentContainer)}"
                                                        render="sacDefPanel">
                                                    <s:span styleClass="gzl-icon-trash-o"/>
                                                </a4j:commandLink>
                                                <gdk:spacer width="5px"/>
                                                <a4j:commandLink
                                                        actionListener="#{labOrderSender.createOrderForContainer(currentContainer)}"
                                                        title="#{messages['gazelle.ordermanager.AddAnOrderForThisContainer']}"
                                                        render="containerCentricDiv">
                                                    <s:span styleClass="gzl-icon-plus"/>
                                                </a4j:commandLink>
                                            </s:decorate>
                                        </dl>
                                        #{dataTableStateHolder.setDescendingOn('lastChanged')}
                                        <rich:dataTable value="#{currentContainer.orders}" var="currentOrder"
                                                        rendered="#{not empty currentContainer.orders}" render="ds"
                                                        id="orclist3"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}">
                                            <ui:include src="/common/orderColumns.xhtml">
                                                <ui:param name="managedBean" value="#{labOrderSender}"/>
                                                <ui:param name="currentOrder" value="#{currentOrder}"/>
                                                <ui:param name="displayEncounterInfo" value="false"/>
                                            </ui:include>
                                            <g:column>
                                                <ui:define name="header">#{messages['users.Action']}</ui:define>

                                                <a4j:commandLink
                                                        title="#{messages['gazelle.ordermanager.RemoveThisOrderFromTheContainer']}"
                                                        actionListener="#{labOrderSender.removeOrderFromContainer(currentContainer, currentOrder)}"
                                                        render="currentContainerDiv">
                                                    <s:span styleClass="gzl-icon-trash-o"/>
                                                </a4j:commandLink>

                                            </g:column>
                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="ds"/>
                                                    <ui:param name="dataTableId" value="orclist3"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>
                                    </s:div>
                                </a4j:repeat>
                                <f:facet name="footer">
                                    <a4j:commandButton
                                            value="#{messages['gazelle.ordermanager.AddAContainerForSpecimen']}"
                                            actionListener="#{labOrderSender.createContainerForSpecimen()}"
                                            render="specimenContainerDetails"
                                            styleClass="gzl-btn-green"/>
                                    <a4j:commandButton value="#{messages['gazelle.ordermanager.SendMessage']}"
                                                       actionListener="#{labOrderSender.sendMessage()}"
                                                       rendered="#{not empty labOrderSender.selectedSpecimen.containers}"
                                                       immediate="true" render="globalDiv"
                                                       styleClass="gzl-btn-blue"/>
                                </f:facet>
                            </gri:panel><!-- order creation -->
                            <gri:panel pid="order2Creation" rendered="#{labOrderSender.selectedOrder != null}">
                                <f:facet name="header">
                                    <h:outputText value="#{messages['gazelle.ordermanager.CreateOrderForCurrentContainer']}"/>
                                    <span style="width:10px"/>
                                    <a4j:commandLink
                                            title="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                            actionListener="#{labOrderSender.fillOrderRandomly()}"
                                            immediate="true"
                                            render="order2Creation">
                                        <span class="gzl-icon-random"/>
                                    </a4j:commandLink>
                                </f:facet>
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier']}
                                        </ui:define>
                                        <h:outputText value="#{labOrderSender.selectedContainer.containerIdentifier}"/>
                                    </s:decorate>
                                </dl><!-- fill randomly button -->
                                <f:subview id="sac_centric_orc">
                                    <ui:include src="/lab/fillingLabOrder.xhtml">
                                        <ui:param name="order" value="#{labOrderSender.selectedOrder}"/>
                                        <ui:param name="displayExtraParamForOF" value="true"/>
                                        <ui:param name="isWorkOrder" value="#{labOrderSender.workOrder}"/>
                                        <ui:param name="false"
                                                  value="#{labOrderSender.simulatedActor.keyword.equals('OF')}"/>
                                    </ui:include>
                                </f:subview><!-- command button -->
                                <f:facet name="footer">
                                <a4j:commandButton value="#{messages['gazelle.ordermanager.FillWithRandomValues']}"
                                                   actionListener="#{labOrderSender.fillOrderRandomly()}"
                                                   immediate="true" styleClass="gzl-btn-blue"
                                                   render="order2Creation"/>

                                <a4j:commandButton value="#{messages['gazelle.ordermanager.AddToCurrentContainer']}"
                                                   actionListener="#{labOrderSender.addOrderToContainer()}"
                                                   render="specimenContainerDetails" styleClass="gzl-btn-green"/>
                                </f:facet>
                            </gri:panel>
                        </s:div>
                    </s:div>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
